petsc-3.4.2 2013-07-02

# MatMFFDSetHHistory

Sets an array to collect a history of the differencing values (h) computed for the matrix-free product.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMFFDSetHHistory(Mat J,PetscScalar history[],PetscInt nhistory)

Logically Collective on Mat

### Input Parameters

| J | - the matrix-free matrix context
| histroy | - space to hold the history
| nhistory | - number of entries in history, if more entries are generated than nhistory, then the later ones are discarded

### Notes

Use MatMFFDResetHHistory() to reset the history counter and collect a new batch of differencing parameters, h.

### Keywords

SNES, matrix-free, h history, differencing history

### See Also

MatMFFDGetH(), MatCreateSNESMF(),
MatMFFDResetHHistory(), MatMFFDSetFunctionError()

Level:advanced
Location:src/mat/impls/mffd/mffd.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages